Subject: RE: [PATCH v2 4/4] CodingGuidelines: recommend singular they

From: Felipe Contreras <[email-masked]>
Date: Wed, 09 Jun 2021 10:50:37 -0500

Derrick Stolee via GitGitGadget wrote:
> From: Derrick Stolee <[email-masked]>
> --- a/Documentation/CodingGuidelines
> +++ b/Documentation/CodingGuidelines
> @@ -648,3 +648,10 @@ Writing Documentation:
>   inline substituted text+ instead of `monospaced literal text`, and with
>   the former, the part that should not get substituted must be
>   quoted/escaped.
> +
> + Refer to an anonymous user in a gender neutral way. Singular "they/them"
> + pronouns are preferred over "he/him" and "she/her". Do not use more
> + complicated constructs such as "he or she" or "s/he". When in doubt about
> + how to use this pronoun, then change your sentence to use singular "you"
> + (e.g. "When you want to do X, do Y") or plural "they" (e.g. "When users
> + want to do X, they can do Y.").

You are prescribing what language to use, this is prescriptivism.

Earlier you said:

>   Linguists fit roughly into two camps: prescriptive and descriptive.
>   The former specify rules for people to use, and the latter document
>   language as it is actually used without forming a judgment.
> 
>   Some prescriptivists think it is acceptable, and some do not. But
>   descriptivists will rightly note that it is and has been commonly
>   used in English across countries, cultures, and contexts for an
>   extended period of time and is therefore generally accepted by most
>   English speakers as a normal part of the language.

Descriptivist linguists indeed have noted that the singular "they" has
been used in the past, but not in the way you are proposing.

Singular "they" has been used on semantically plural antecedents, not
singular antecedents [1]. This detail easily escapes non-linguists.

Moreover, descriptivists would also note that "she" and "he" have been
commonly used as well, and there's nothing wrong with using them.

A descriptivist linguist would not dare to prescribe how language
should be used in a community, like you are doing.

[1] https://ahdictionary.tumblr.com/post/147597257733/updated-usage-note-they

-- 
Felipe Contreras